<?php

namespace App\Livewire;

use Livewire\Component;

class ValidationDisplay extends Component
{
    public $validationRules = [
        'required' => 'This is a required field.',
        'dropdownRequired' => 'This is a required field.',
        'requiredAtleastOne' => 'At least one must be selected.',
        'arrayChecker' => 'This is a required field.',
        'email' => 'Please provide a valid email address.',
        'alphaNumeric' => 'Only alphanumeric characters',
        'length4' => 'Must be 4 characters.',
        'minLength2' => 'Must be 2 characters or more',
        'maxLength10' => 'Must be 10 characters or less.',
        'numbers' => 'Must be whole numbers only.',
        'numbersWithDecimals' => 'Must be a valid number with two (2) decimals only.',
        'minValue0' => 'Must be greater than 0.',
        'maxValue100' => 'Must be less than 100.',
    ];

    public $rule = 'required'; // Default rule for demo

    public function mount($rule = 'required')
    {
        $this->rule = $rule;
    }

    public function render()
    {
        return view('livewire.validation-display');
    }
}