<div class="container">
    <div class="row justify-content-center">
        <div class="col-12 col-md-6">
            <div class="text-center mt-5 mb-4">
                <img src="{{ asset('images/logo_unioil.png') }}" alt="Unioil Logo" style="max-width: 200px;">
            </div>
            <div class="mb-3">
                <h1 class="mb-0">Change Password</h1>
            </div>

            @if(session('success'))
                <div class="alert alert-success mb-3" role="alert">
                    {{ session('success') }}
                </div>
            @endif
            @if(session('error'))
                <div class="alert alert-danger mb-3" role="alert">
                    {{ session('error') }}
                </div>
            @endif

            <form wire:submit.prevent="changePassword">
                <div class="mb-3 position-relative">
                    <label class="form-label fw-medium">New Password</label>
                    <div class="input-group">
                        <input type="password" class="form-control @error('newPassword') is-invalid @enderror" wire:model="newPassword" placeholder="New Password">
                        <span class="input-group-text" data-bs-toggle="tooltip" data-bs-placement="right" title="Must be at least 6 characters long, with a combination of uppercase, lowercase, numbers, and special characters.">
                            <i class="bi bi-info-circle"></i>
                        </span>
                    </div>
                    @error('newPassword') <div class="invalid-feedback">{{ $message }}</div> @enderror
                </div>

                <div class="mb-3">
                    <label class="form-label fw-medium">Confirm Password</label>
                    <input type="password" class="form-control @error('confirmPassword') is-invalid @enderror" wire:model="confirmPassword" placeholder="Confirm Password">
                    @error('confirmPassword') <div class="invalid-feedback">{{ $message }}</div> @enderror
                </div>

                <div class="row mt-4">
                    <div class="col-6">
                        <a href="{{ route('login') }}" style="color: #005598;">Back to Login</a>
                    </div>
                    <div class="col-6 text-end">
                        <button type="submit" class="btn btn-primary w-100" wire:loading.attr="disabled" wire:target="changePassword" style="background-color: #E74610; border-color: #E74610;">
                            <span wire:loading wire:target="changePassword">Submitting...</span>
                            <span wire:loading.remove wire:target="changePassword">Submit</span>
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.min.js"></script>
<script>
    // Initialize Bootstrap tooltips
    document.addEventListener('DOMContentLoaded', function () {
        var tooltipTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="tooltip"]'));
        var tooltipList = tooltipTriggerList.map(function (tooltipTriggerEl) {
            return new bootstrap.Tooltip(tooltipTriggerEl);
        });
    });
</script>

@if(session('success'))
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        Swal.fire({
            icon: 'success',
            title: 'Success',
            text: '{{ session('success') }}',
        });
    </script>
@endif

@if(session('error'))
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        Swal.fire({
            icon: 'error',
            title: 'Error',
            text: '{{ session('error') }}',
        });
    </script>
@endif