<div class="container position-relative" style="min-height: 100vh;">
    @if($loading)
        <div class="text-center position-absolute top-50 start-50 translate-middle" style="font-size: 6vmin;">
            <div class="spinner-border text-primary" role="status"></div>
            <span class="ms-2">Loading Top-Up Please wait...</span>
        </div>
    @else
        <div class="mt-5">
            @if($status == 200)
                <div class="text-center position-absolute top-0 start-50 translate-middle-x mt-4">
                    <img src="{{ asset('images/ic_success.svg') }}" alt="Success" style="width: 18vmin;">
                    <p class="mt-3" style="line-height: 7vmin; font-size: 6vmin; font-weight: bold;">
                        Your purchase for top-up points <br> is successful!
                    </p>
                    <div style="font-size: 15px; font-weight: 400;">
                        <div class="row">
                            <div class="col-12">
                                <span style="font-size: 6vmin; font-weight: bold;">{{ $userInfo['date'] ?? '' }}</span>
                            </div>
                            <div class="col-12">Card Number: {{ $userInfo['card_number'] ?? '' }}</div>
                            <div class="col-12">Sales Invoice Number: {{ $userInfo['invoice'] ?? '' }}</div>
                        </div>
                        <div class="mt-3" style="font-size: 3.5vmin;">
                            <div class="row justify-content-between">
                                <div class="col-6 text-start">Top-up Points Value</div>
                                <div class="col-6 text-end">{{ $userInfo['points'] ?? '' }}</div>
                            </div>
                            <div class="row justify-content-between">
                                <div class="col-6 text-start">Payment Value</div>
                                <div class="col-6 text-end">Php {{ $userInfo['payment_val'] ?? '' }}</div>
                            </div>
                            <div class="row justify-content-between">
                                <div class="col-6 text-start">Paypal Fee</div>
                                <div class="col-6 text-end">Php {{ $userInfo['paypal_fee'] ?? '' }}</div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="position-absolute bottom-0 start-50 translate-middle-x mb-4" style="width: 100%; max-width: 300px;">
                    <button wire:click="backHandlerSuccess" class="btn btn-primary w-100" style="height: 11vmin; font-size: 5vmin; background-color: #e74610; border-color: #e74610;">
                        Return to Home Page
                    </button>
                </div>
            @else
                <div class="text-center position-absolute top-0 start-50 translate-middle-x mt-4">
                    <img src="{{ asset('images/ic_error.svg') }}" alt="Error" style="width: 24vmin;">
                    <p class="mt-3" style="line-height: 7vmin; font-size: 5vmin; font-weight: bold; color: #4D4D4D;">
                        Transaction Failed.<br>{{ $message }}
                    </p>
                </div>
                <div class="position-absolute bottom-0 start-50 translate-middle-x mb-4" style="width: 100%; max-width: 300px;">
                    <button wire:click="backHandler" class="btn btn-primary w-100" style="height: 11vmin; font-size: 5vmin; background-color: #e74610; border-color: #e74610;">
                        Return to Top-Up Page
                    </button>
                </div>
            @endif
        </div>
    @endif

    <!-- JavaScript for native app integration -->
    <script>
        window.addEventListener('ios-top-up-success', function () {
            if (typeof window.iOStopUpSuccess === 'function') {
                window.iOStopUpSuccess();
            }
        });

        window.addEventListener('ios-top-up-failed', function () {
            if (typeof window.iOStopUpFailed === 'function') {
                window.iOStopUpFailed();
            }
        });

        window.addEventListener('android-top-up-success', function () {
            if (typeof window.AndroidTopUpSuccess === 'function') {
                window.AndroidTopUpSuccess();
            }
        });

        window.addEventListener('android-top-up-failed', function () {
            if (typeof window.AndroidTopUpFailed === 'function') {
                window.AndroidTopUpFailed();
            }
        });
    </script>
</div>