<div class="container">
    <div class="card border" style="border-color: #E6ECF5;">
        <div class="card-header d-flex justify-content-between align-items-center">
            <h2 class="mb-0">Top-Up Details</h2>
            <div>
                <a href="{{ route('top-up.edit', ['id' => $id]) }}" class="btn btn-outline-secondary me-2" style="color: #65697F; border-color: #B8BBC9;">Update</a>
                <button wire:click="delete" class="btn btn-outline-danger">Delete</button>
            </div>
        </div>
        <div class="card-body">
            @if(!$mounted)
                <div class="text-center">
                    <div class="spinner-border text-primary" role="status">
                        <span class="visually-hidden">Loading...</span>
                    </div>
                </div>
            @else
                @if(session('success'))
                    <div class="alert alert-success mb-3" role="alert">
                        {{ session('success') }}
                    </div>
                @endif
                @if(session('error'))
                    <div class="alert alert-danger mb-3" role="alert">
                        {{ session('error') }}
                    </div>
                @endif

                <div class="p-4">
                    <h3 class="mb-4">Details</h3>
                    <div class="row mb-3">
                        <div class="col-3 fw-semibold">Fee Code:</div>
                        <div class="col-9">{{ $userInfo['fee_code'] ?? '' }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-3 fw-semibold">Name:</div>
                        <div class="col-9">{{ $userInfo['name'] ?? '' }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-3 fw-semibold">Value:</div>
                        <div class="col-9">{{ $userInfo['amount'] ?? '' }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-3 fw-semibold">Type:</div>
                        <div class="col-9">{{ $userInfo['type'] ?? '' }}</div>
                    </div>
                </div>
            @endif
        </div>
    </div>
</div>

@if(session('success'))
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        Swal.fire({
            icon: 'success',
            title: 'Success',
            text: '{{ session('success') }}',
        });
    </script>
@endif

@if(session('error'))
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        Swal.fire({
            icon: 'error',
            title: 'Error',
            text: '{{ session('error') }}',
        });
    </script>
@endif