<div class="container">
    <div class="card border" style="border-color: #E6ECF5;">
        <div class="card-header d-flex justify-content-between align-items-center">
            <h2 class="mb-0">User Accounts</h2>
            <div>
                <a href="{{ route('user-management.edit', ['id' => $id]) }}" class="btn btn-outline-secondary me-2" style="color: #65697F; border-color: #B8BBC9;">Update</a>
                @if($userInfo['editable'] ?? false)
                    <button wire:click="delete" class="btn btn-outline-danger">Delete</button>
                @endif
            </div>
        </div>
        <div class="card-body">
            @if(!$mounted)
                <div class="text-center">
                    <div class="spinner-border text-primary" role="status">
                        <span class="visually-hidden">Loading...</span>
                    </div>
                </div>
            @else
                @if(session('success'))
                    <div class="alert alert-success mb-3" role="alert">
                        {{ session('success') }}
                    </div>
                @endif
                @if(session('error'))
                    <div class="alert alert-danger mb-3" role="alert">
                        {{ session('error') }}
                    </div>
                @endif

                <div class="p-4">
                    <h3 class="mb-4">Details</h3>

                    <h4 class="fw-bold fs-5">User Details</h4>
                    <div class="row mb-3">
                        <div class="col-4 fw-semibold">Username:</div>
                        <div class="col-20">{{ $userInfo['username'] ?? '' }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-4 fw-semibold">User Role:</div>
                        <div class="col-20">{{ $userInfo['role'] == '1' ? 'System Admin' : ($userInfo['role'] ? 'Marketing Personnel' : '') }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-4 fw-semibold">First Name:</div>
                        <div class="col-20">{{ $userInfo['firstname'] ?? '' }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-4 fw-semibold">Last Name:</div>
                        <div class="col-20">{{ $userInfo['lastname'] ?? '' }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-4 fw-semibold">Email Address:</div>
                        <div class="col-20"><a href="mailto:{{ $userInfo['email'] ?? '' }}" style="color: #1890FF;">{{ $userInfo['email'] ?? '' }}</a></div>
                    </div>

                    <h4 class="fw-bold fs-5 mt-4">Account Details</h4>
                    <div class="row mb-3">
                        <div class="col-4 fw-semibold">Status:</div>
                        <div class="col-20">{{ $userInfo['status'] ?? '' }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-4 fw-semibold">Created By:</div>
                        <div class="col-20">{{ $userInfo['created_by'] ?? '' }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-4 fw-semibold">Created Date:</div>
                        <div class="col-20">{{ $userInfo['created_at'] ?? '' }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-4 fw-semibold">Last Updated by:</div>
                        <div class="col-20">{{ $userInfo['updated_by'] ?? '' }}</div>
                    </div>
                    <div class="row mb-3">
                        <div class="col-4 fw-semibold">Last Updated date:</div>
                        <div class="col-20">{{ $userInfo['updated_at'] ?? '' }}</div>
                    </div>
                </div>
            @endif
        </div>
    </div>
</div>

@if(session('success'))
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        Swal.fire({
            icon: 'success',
            title: 'Success',
            text: '{{ session('success') }}',
        });
    </script>
@endif

@if(session('error'))
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script>
        Swal.fire({
            icon: 'error',
            title: 'Error',
            text: '{{ session('error') }}',
        });
    </script>
@endif