<?php

use Illuminate\Support\Facades\Route;


use App\Livewire\AdvanceTable;
use App\Livewire\TableLayout;
use App\Livewire\StationTable;
use App\Livewire\Page403;
use App\Livewire\Page404;
use App\Livewire\Page404New;
use App\Livewire\NotificationTable;
use App\Livewire\ModalCancel;
use App\Livewire\LoginLayout;
use App\Livewire\Loading;
use App\Livewire\AdvanceSearchFilter;
use App\Livewire\CascaderForm;
use App\Livewire\CheckboxForm;
use App\Livewire\DatePickerForm;
use App\Livewire\HeaderForm;
use App\Livewire\InputMaskNumberForm;
use App\Livewire\InputNumberAntD;
use App\Livewire\InputPassword;
use App\Livewire\InputTextArea;
use App\Livewire\InputForm;
use App\Livewire\MultiSelectForm;
use App\Livewire\MultiSelectOptions;

use App\Livewire\RadioForm;
use App\Livewire\SelectForm;
use App\Livewire\SingleUploadImage;
use App\Livewire\TimePickerForm;

use App\Livewire\UploadImage;
use App\Livewire\DropdownExport;
use App\Livewire\DataList;
use App\Livewire\CustomTable;

use App\Livewire\ResponseDisplay;
use App\Livewire\ActionTypes;
use App\Livewire\GlobalConstants;
use App\Livewire\ValidationDisplay;
use App\Livewire\AuthStatus;
use App\Livewire\FetchDataStatus;
use App\Livewire\LogoutStatus;
use App\Livewire\FetchData;
use App\Livewire\Logout;
use App\Livewire\ErrorHandler;

use App\Livewire\StationLocator\AddFuel;
use App\Livewire\StationLocator\AddBranch;

use App\Livewire\StationLocator\StationList;
use App\Livewire\StationLocator\StationCreate;
use App\Livewire\StationLocator\EditStation;

Route::get('/stations', StationList::class)->name('stations.list');
Route::get('/stations/create', StationCreate::class)->name('stations.create');
Route::get('/stations/view/{id}', EditStation::class)->name('stations.edit');


Route::middleware(['auth'])->group(function () {
    Route::get('/user-management', \App\Livewire\UserManagement\UserList::class)->name('user-management');
    Route::get('/user-management/create', \App\Livewire\UserManagement\Create::class)->name('user-management.create');
    Route::get('/user-management/edit/{id}', \App\Livewire\UserManagement\Edit::class)->name('user-management.edit');
    Route::get('/user-management/view/{id}', \App\Livewire\UserManagement\View::class)->name('user-management.view');
});

Route::middleware(['auth'])->group(function () {
    Route::get('/top-up', \App\Livewire\TopUp\TopUpList::class)->name('top-up');
    Route::get('/top-up/create', \App\Livewire\TopUp\Create::class)->name('top-up.create');
    Route::get('/top-up/edit/{id}', \App\Livewire\TopUp\Edit::class)->name('top-up.edit');
    Route::get('/top-up/view/{id}', \App\Livewire\TopUp\View::class)->name('top-up.view');
});

// Route::middleware(['auth'])->group(function () {
//     Route::get('/system-parameters', \App\Livewire\SystemPreferences\Create::class)->name('system-parameters');
// });
// Route::middleware(['auth'])->group(function () {
//     Route::get('/fuels', \App\Livewire\StationLocator\Fuels::class)->name('fuels');
//     Route::get('/fuels/create', \App\Livewire\StationLocator\FuelCreate::class)->name('fuels.create');
//     Route::get('/branches', \App\Livewire\StationLocator\Branches::class)->name('branches');
//     Route::get('/branches/create', \App\Livewire\StationLocator\BranchCreate::class)->name('branches.create');
// });


// Route::get('/fuels/add', AddFuel::class)->name('fuels.add');
// Route::get('/branches/add', AddBranch::class)->name('branches.add');



Route::get('/change-password', \App\Livewire\ChangePassword::class)->name('change-password');
Route::get('/registration', \App\Livewire\Registration::class)->name('registration');
Route::get('/topup-success-page', \App\Livewire\PublicTopSuccessPage::class)->name('topup-success');
Route::get('/topup-error-page', \App\Livewire\PublicTopErrorPage::class)->name('topup-error');

Route::get('/login', \App\Livewire\Login::class)->name('login');
Route::get('/change-password', \App\Livewire\ChangePassword::class)->name('change-password');


Route::get('/fetch-data/{url}', FetchData::class)->name('fetch.data');
Route::get('/logout', Logout::class)->name('logout');
Route::get('/error-handler', ErrorHandler::class)->name('error.handler');

Route::get('/404', function () {
    return view('errors.404');
})->name('404');

Route::get('/auth-status', function () {
    return view('auth-status');
})->name('auth.status');

Route::get('/fetch-data-status', function () {
    return view('fetch-data-status');
})->name('fetch.data.status');

Route::get('/logout-status', function () {
    return view('logout-status');
})->name('logout.status');

Route::get('/global-constants', function () { return view('global-constants'); })->name('global.constants');

Route::get('/validation-display', function () { return view('validation-display'); })->name('validation.display');

Route::get('/response-display', function () { return view('response-display'); })->name('response.display');

Route::get('/action-types', function () { return view('action-types'); })->name('action.types');
Route::get('/dashboard', function () { return view('dashboard'); })->name('dashboard');

Route::get('/my-profile', function () {
    return view('my-profile');
})->name('my-profile');


Route::get('/custom-table', function () {
    return view('custom-table');
})->name('custom.table');

Route::get('/dropdown-export', function () {
    return view('dropdown-export');
})->name('dropdown.export');

Route::get('/data-list', function () {
    return view('data-list');
})->name('data.list');

Route::get('/upload-image', function () { return view('upload-image'); })->name('upload.image');

Route::get('/radio-form', function () { return view('radio-form'); })->name('radio.form');
Route::get('/select-form', function () { return view('select-form'); })->name('select.form');
Route::get('/single-upload-image', function () { return view('single-upload-image'); })->name('single.upload.image');
Route::get('/time-picker-form', function () { return view('time-picker-form'); })->name('time.picker.form');

Route::get('/advance-table', function () { return view('advance-table'); })->name('advance.table');
Route::get('/table-layout', function () { return view('table-layout'); })->name('table.layout');
Route::get('/station-table', function () { return view('station-table'); })->name('station.table');
Route::get('/403', function () { return view('error-403'); })->name('error.403');
Route::get('/404', function () { return view('error-404'); })->name('error.404');
Route::get('/404-new', function () { return view('error-404-new'); })->name('error.404.new');
Route::get('/notifications', function () { return view('notification-table'); })->name('notifications');
Route::get('/locations', function () { return view('locations'); })->name('locations');
Route::get('/test-modal', function () { return view('test-modal'); })->name('test.modal');
Route::get('/login', function () { return view('login'); })->name('login');
Route::get('/loading', function () { return view('loading'); })->name('loading');
Route::get('/advance-search-filter', function () { return view('advance-search-filter'); })->name('advance.search.filter');
Route::get('/cascader-form', function () { return view('cascader-form'); })->name('cascader.form');
Route::get('/checkbox-form', function () { return view('checkbox-form'); })->name('checkbox.form');
Route::get('/date-picker-form', function () { return view('date-picker-form'); })->name('date.picker.form');
Route::get('/header-form', function () { return view('header-form'); })->name('header.form');
Route::get('/input-mask-number-form', function () { return view('input-mask-number-form'); })->name('input.mask.number.form');
Route::get('/input-number-ant-d', function () { return view('input-number-ant-d'); })->name('input.number.antd');

Route::get('/input-password', function () { return view('input-password'); })->name('input.password');
Route::get('/input-text-area', function () { return view('input-text-area'); })->name('input.text.area');
Route::get('/input-form', function () { return view('input-form'); })->name('input.form');
Route::get('/multi-select-form', function () { return view('multi-select-form'); })->name('multi.select.form');
Route::get('/multi-select-options', function () { return view('multi-select-options'); })->name('multi.select.options');




Route::get('/', function () {
    return view('welcome');
});

















// <?php

// use Illuminate\Support\Facades\Route;
// use App\Http\Middleware\Authenticate;
// use App\Livewire\Login;
// use App\Livewire\Registration;
// use App\Livewire\ChangePassword;
// use App\Livewire\PublicTopSuccessPage;
// use App\Livewire\PublicTopErrorPage;
// use App\Livewire\MyProfile;
// use App\Livewire\Notifications;
// use App\Livewire\UserManagement;
// use App\Livewire\MemberManagement;
// use App\Livewire\PhotoSlider;
// use App\Livewire\Promotions;
// use App\Livewire\TopUp;
// use App\Livewire\CardTypes;
// use App\Livewire\Reports;
// use App\Livewire\SystemPreferences;
// use App\Livewire\StationLocator;
// use App\Livewire\Branches;
// use App\Livewire\Fuels;
// use App\Livewire\Page404;

// Route::middleware(['check.auth'])->group(function () {
//     // Public Routes
//     Route::get('/', fn () => redirect('/login'));
//     Route::get('/login', Login::class)->name('login');
//     Route::get('/registration', Registration::class)->name('registration');
//     Route::get('/change-password', ChangePassword::class)->name('change-password');
//     Route::get('/topup-success-page', PublicTopSuccessPage::class)->name('topup-success');
//     Route::get('/topup-error-page', PublicTopErrorPage::class)->name('topup-error');

//     // Private Routes (require authentication)
//     Route::middleware(['auth'])->group(function () {
//         Route::get('/user-management', UserManagement::class)->name('user-management');
//         Route::get('/notifications', Notifications::class)->name('notifications');
//         Route::get('/member-management', MemberManagement::class)->name('member-management');
//         Route::get('/home-page', PhotoSlider::class)->name('home-page');
//         Route::get('/promotions', Promotions::class)->name('promotions');
//         Route::get('/top-up', TopUp::class)->name('top-up');
//         Route::get('/about-us', CardTypes::class)->name('about-us');
//         Route::get('/reports', Reports::class)->name('reports');
//         Route::get('/stations', StationLocator::class)->name('stations');
//         Route::get('/branches', Branches::class)->name('branches');
//         Route::get('/fuels', Fuels::class)->name('fuels');
//         Route::get('/system-parameters', SystemPreferences::class)->name('system-parameters');
//         Route::get('/my-profile', MyProfile::class)->name('my-profile');
//     });

//     // 404 Route
//     Route::get('/404', Page404::class)->name('404');
//     Route::any('{any}', fn () => redirect()->route('404'))->where('any', '.*');
// });
